Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.mouse.gestures
Class SyntheticMouseGestureEvent<H extends EventHandler,E extends MouseEvent<? extends EventHandler>>

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
                  com.maryanovsky.gwtutils.client.ui.mouse.gestures.SyntheticMouseGestureEvent<H,E>

Direct Known Subclasses:
  ClickEvent, DragCancelEvent, DragEndEvent, DragMoveEvent, DragStartEvent, WheelScrollDownEvent, WheelScrollUpEvent

    public abstract class SyntheticMouseGestureEvent<H extends EventHandler,E extends MouseEvent<? extends EventHandler>>

extends SyntheticEvent<H,E>

The base class for all gesture events which are synthesized from mouse events.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `SyntheticMouseGestureEvent(E sourceEvent)` Creates a new `SyntheticMouseGestureEvent` with the specified source mouse event from which it was synthesized.

Method Summary

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntheticMouseGestureEvent

    protected SyntheticMouseGestureEvent(E sourceEvent)

  Creates a new `SyntheticMouseGestureEvent` with the specified source mouse event from which it was synthesized.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD